ReplicaSet

In-Memory DB replica set with support for a single instance or a In-Memory DB replication in leader follower mode. The mode is determined by the number of replicas. One replica is standalone, everything else an In-Memory DB replication as leader follower mode with one active and n-1 passive replicas.

This tag groups all operations for replicaset.

Retrieve all ReplicaSet

get
/replicasets

This endpoint enables retrieving all ReplicaSet using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
filter.namestringOptional

Response filter to list only items contain the specified name. The value is case insensitive and matched on the 'displayName' field.

Responses
chevron-right
200

Returned all requested ReplicaSet successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of ReplicaSet resources.

Example: 2ec26f24-9fca-5576-8cda-03d6a0156bbc
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of ReplicaSet resources.

Example: /replicasets
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/replicasets

Create ReplicaSet

post
/replicasets

Creates a new ReplicaSet.

The full ReplicaSet needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
post
/replicasets

Retrieve ReplicaSet

get
/replicasets/{replicasetId}

Returns the ReplicaSet by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
replicasetIdstring · uuidRequired

The ID (UUID) of the ReplicaSet.

Example: 1046e9bf-dbc0-5bd3-9291-713d36ab77e9
Responses
chevron-right
200

Getting ReplicaSet was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the ReplicaSet.

Example: 1046e9bf-dbc0-5bd3-9291-713d36ab77e9
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the ReplicaSet.

Example: /replicasets/1046e9bf-dbc0-5bd3-9291-713d36ab77e9
get
/replicasets/{replicasetId}

Ensure ReplicaSet

put
/replicasets/{replicasetId}

Ensures that the ReplicaSet with the provided ID is created or modified. The full ReplicaSet needs to be provided to ensure (either update or create) the ReplicaSet. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
replicasetIdstring · uuidRequired

The ID (UUID) of the ReplicaSet.

Example: 1046e9bf-dbc0-5bd3-9291-713d36ab77e9
Body
idstring · uuidRequired

The ID (UUID) of the ReplicaSet.

Example: 1046e9bf-dbc0-5bd3-9291-713d36ab77e9
metadataanyOptional

Metadata

Responses
chevron-right
200

ReplicaSet successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the ReplicaSet.

Example: 1046e9bf-dbc0-5bd3-9291-713d36ab77e9
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the ReplicaSet.

Example: /replicasets/1046e9bf-dbc0-5bd3-9291-713d36ab77e9
put
/replicasets/{replicasetId}

Delete ReplicaSet

delete
/replicasets/{replicasetId}

Deletes the specified ReplicaSet.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
replicasetIdstring · uuidRequired

The ID (UUID) of the ReplicaSet.

Example: 1046e9bf-dbc0-5bd3-9291-713d36ab77e9
Responses
delete
/replicasets/{replicasetId}

No content

Last updated

Was this helpful?